ckbcomp(1)

NAME
ckbcomp - compile a XKB keyboard description to a keymap suitable for loadkeys

SYNOPSIS
ckbcomp [option ...] [layout [variant [option ...]]]

DESCRIPTION
The ckbcomp keymap compiler converts a description of an XKB keymap into a console keymap that can be read directly by loadkeys.

OPTIONS

-?, -help
    Print a usage message and exit.

-charmap  charmap
    The encoding to use. There should be an unicode ACM map for this encoding in /usr/share/consoletrans.

-Idir
    Search top-level directory dir for files included by the keymap description. This option may be used multiple times. After all directories specified by -I options have been searched, /etc/console-setup/ckb, /usr/share/X11/xkb, /etc/X11/xkb and /usr/X11R6/lib/X11/xkb will be searched too.

-v level
    Set level of detail for listing. level is a number from 1 to 10.

-compact
    Generate a compact keymap with at most two xkb groups and two levels in each or only one xkb-group and up to four levels.

XKB KEYBOARD DESCRIPTION
The keyboard layout, variant and options components can be also specified directly on the command line. See the synopsis of the command.

-symbols name
    Specifies the symbols component name of the XKB keyboard description.

-keycodes name
    Specifies the keycodes component name of the XKB keyboard description.

-rules name
    The name of the rules file to use.

-model name
    Specifies the keyboard model used to choose the component names.

-layout name
    Specifies the layout used to choose the component names.

-variant name
    Specifies the layout variant used to choose the component names.

-option name
    Adds an option used to choose component names.

SEE ALSO
xkbcomp(1)

AUTHOR
Anton Zinoviev <anton@lml.bas.bg>, <zinoviev@debian.org>